Bug 1279216 - rewrite leaves plugin to use libsolv functionality
rewrite leaves plugin to use libsolv functionality
Status: NEW
Product: Fedora
Classification: Fedora
Component: dnf-plugins-extras (Show other bugs)
26
All Linux
low Severity medium
: ---
: ---
Assigned To: rpm-software-management
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-08 11:34 EST by Orion Poplawski
Modified: 2017-12-07 19:05 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2015-11-08 11:34:42 EST
Description of problem:

dnf leaves lists:

acl-2.2.52-10.fc23.i686

but:

# dnf remove acl
Dependencies resolved.
Error: The operation would result in removing the following protected packages: dnf, systemd.

Version-Release number of selected component (if applicable):
python3-dnf-plugins-extras-leaves-0.0.11-1.fc23.noarch

Steps to Reproduce:
dnf leaves | while read x; do echo $x; echo n | dnf remove $x; done

Actual results:
dnf wants to remove more than just the package specified

Expected results:
dnf only wants to remove the package specified
Comment 1 Honza Silhan 2015-11-18 07:35:51 EST
Expected results:
dnf leaves lists:
should not list acl (which is requirement of systemd
Comment 2 Igor Gnatenko 2015-12-12 14:24:04 EST
basesystem-11-1.fc23.noarch
Dependencies resolved.
Error: The operation would result in removing the following protected packages: systemd, dnf.
Comment 3 Fedora Admin XMLRPC Client 2016-07-21 08:40:57 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora End Of Life 2016-11-24 08:12:23 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2017-02-28 04:50:22 EST
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Note You need to log in before you can comment on or make changes to this bug.